Skip to main content

GET /credit-notes/{id}

Summary

Get credit note

URL Parameters

NameTypeRequiredDescription
idstringYesCredit note id or nanoid

Query Parameters

  • None

Request Body Fields

No request body is accepted for this endpoint.

Request Example

curl -X GET 'https://api.requidex.com/api/open/v1/credit-notes/{id}' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Accept: application/json'

Response Fields

FieldTypeDescription
idstringCredit note id
referencestringCredit note reference
statusstringCredit note status
companyobject
Show child attributes
  • id string - Company id
  • name string - Company name
agencyobject
Show child attributes
  • id string - Agency id
  • name string - Agency name
mspobjectReturned when present.
Show child attributes
  • id string - MSP id
  • name string - MSP name
projectobjectReturned when present.
Show child attributes
  • id string - Project id
  • name string - Project name
invoiceTypestringCredit note flow type
mspInvoiceTypestringMSP credit note subtype when applicable
reasonstringCredit note reason
commentsstringCredit note comments
weekEndingstringReturned when present. Week ending date in ISO 8601 date-time format
confirmedDatestringTimestamp when the credit note was marked confirmed/processed
confirmedByobjectReturned when present.
Show child attributes
  • id string - User id
  • name string - User name
paymentobjectReturned when present.
Show child attributes
  • reference string - Payment reference
  • paymentDate string - Payment date in ISO 8601 date-time format
valuesobject
Show child attributes
  • grossHours number
  • netHours number
  • subtotal number
  • vat number
  • total number
  • cis number
  • finalTotal number
filesobjectFile URLs. Child attributes: creditNote
invoiceobjectReturned when present.
Show child attributes
  • id string - Invoice id
  • reference string - Invoice reference
timesheetobjectReturned when present.
Show child attributes
  • id string - Timesheet id
  • reference string - Timesheet reference
createdAtstringCreation timestamp
updatedAtstringLast update timestamp

Response Example (200)

{
"success": true,
"data": {
"id": "67bc36db80a1616ec3f4c001",
"reference": "RDX-NLD-C12",
"status": "processed",
"company": {
"id": "67bc36db80a1616ec3f47001",
"name": "Requidex Construction Ltd"
},
"agency": {
"id": "67bc36db80a1616ec3f47101",
"name": "Northline Labour Desk"
},
"msp": {
"id": "67bc36db80a1616ec3f47088",
"name": "Northline MSP"
},
"project": {
"id": "67bc36db80a1616ec3f47011",
"name": "Northern Rail Electrification"
},
"invoiceType": "mspToClient",
"mspInvoiceType": "receivable",
"reason": "Other",
"comments": "Manual correction",
"weekEnding": "2026-03-08T00:00:00.000Z",
"confirmedDate": "2026-03-25T12:00:00.000Z",
"confirmedBy": {
"id": "67bc36db80a1616ec3f47099",
"name": "Pat Taylor"
},
"payment": {
"reference": "PAY-3001",
"paymentDate": "2026-03-25T12:00:00.000Z"
},
"values": {
"grossHours": 8.11,
"netHours": 7.55,
"subtotal": 694.45,
"vat": 138.89,
"total": 833.34,
"cis": 0,
"finalTotal": 833.34
},
"files": {
"creditNote": "https://files.requidex.com/credit-notes/CN-12.pdf"
},
"invoice": {
"id": "67bc36db80a1616ec3f4b001",
"reference": "RDX-NLD-I1044"
},
"timesheet": {
"id": "67bc36db80a1616ec3f4a001",
"reference": "TS-1044"
},
"createdAt": "2026-03-08T18:00:00.000Z",
"updatedAt": "2026-03-25T12:00:00.000Z"
}
}

Errors

HTTP StatusMeaning
401Missing, invalid, revoked, or expired API key
403Forbidden due to scope or IP restrictions
404Credit note not found
405Method not allowed on Open API routes
429Rate limit exceeded
500Unexpected internal error